Skip to content

Instantly share code, notes, and snippets.

@dbrady
Created February 3, 2009 20:10
  • Star 0 You must be signed in to star a gist
  • Fork 0 You must be signed in to fork a gist
Star You must be signed in to star a gist
Save dbrady/57717 to your computer and use it in GitHub Desktop.
dbrady@robomonkey:~/lmp/market (sprint)$ ruby -e 'require "rubygems"; require "trollop"; puts Trollop.class'
Module
dbrady@robomonkey:~/lmp/market (sprint)$ ruby -e 'require "rubygems"; require "nokogiri"; puts Nokogiri.class'
Module
dbrady@robomonkey:~/lmp/market (sprint)$ cd
dbrady@robomonkey:~ $ ruby -e 'require "rubygems"; require "trollop"; puts Trollop.class'
Module
dbrady@robomonkey:~ $ ruby -e 'require "rubygems"; require "nokogiri"; puts Nokogiri.class'
./nokogiri.rb:4: uninitialized constant Nokogiri (NameError)
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require'
from -e:1
### EDIT: Problem solved. I had a file called nokogiri.rb in my home folder that was intercepting the nokogiri library load.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment